Vla-gettextstyle
- 構文
- (vla-gettextstyle vla-object rowTypes)
- 機能
- 指定した行タイプの文字スタイル名を取得する。
- 引数
-
- vla-object … オブジェクト(Table、TableStyle)
- rowTypes … 変更する行タイプ。
- AcRowType 列挙型
- acDataRow
- acHeaderRow
- acTitleRow
- acUnknownRow
- 戻り値
- 指定した行タイプに使用する文字スタイル名。
- サンプル
(vl-load-com) (defun c:Example_GetTextStyle() ;; この例では、TableStyle オブジェクトを作成し、スタイルの名前と ;; その他の属性の値を設定する。 (setq acadObj (vlax-get-acad-object)) (setq doc (vla-get-ActiveDocument acadObj)) (setq dictionaries (vla-get-Dictionaries doc)) (setq dictObj (vla-Item dictionaries "acad_tablestyle")) ;; ディクショナリにカスタム TableStyle オブジェクトを作成する。 (setq keyName "NewStyle" className "AcDbTableStyle") (setq customObj (vla-AddObject dictObj keyName className)) (vla-put-Name customObj "NewStyle") (vla-put-Description customObj "New Style for My Tables") (vla-put-FlowDirection customObj acTableBottomToTop) (vla-put-HorzCellMargin customObj 0.22) (vla-put-BitFlags customObj 1) (vla-SetTextHeight customObj (+ acDataRow acTitleRow) 1.3) (vla-SetTextStyle customObj (+ acDataRow acTitleRow) "Standard") (setq col (vlax-create-object "AutoCAD.AcCmColor.20")) (vla-SetRGB col 12 23 45) (vla-SetBackgroundColor customObj (+ acDataRow acTitleRow) col) (vla-SetGridVisibility customObj (+ acHorzInside acHorzTop) (+ acDataRow acTitleRow) :vlax-true) (vla-SetAlignment customObj (+ acDataRow acTitleRow) acBottomRight) (vla-SetRGB col 244 0 0) (vla-SetGridColor customObj (+ acHorzTop acHorzInside) acDataRow col) (alert (strcat "表スタイル名 = " (vla-get-Name customObj) "\nスタイルの概要 = " (vla-get-Description customObj) "\n流れの方向 = " (itoa (vla-get-FlowDirection customObj)) "\n水平セルマージン = " (rtos (vla-get-HorzCellMargin customObj) 2) "\nビットフラグ = " (itoa (vla-get-BitFlags customObj)) "\nタイトル行の文字高 = " (rtos (vla-GetTextHeight customObj acTitleRow) 2) "\nタイトル行の文字スタイル = " (vla-GetTextStyle customObj acTitleRow) "\nタイトル行の水平ボトムグリッドの可視性 = " (if (= (vla-GetGridVisibility customObj acHorzBottom acTitleRow) :vlax-true) "True" "False") "\nタイトル行の位置 = " (itoa (vla-GetAlignment customObj acTitleRow)) "\nヘッダーの抑制 = " (if (= (vla-get-HeaderSuppressed customObj) :vlax-true) "True" "False") ) ) (vlax-release-object col) )
関連事項
- vlax-create-object
- vla-settextheight
- vla-settextstyle
- vla-setbackgroundcolor
- vla-setgridvisibility
- vla-setalignment
- vla-setrgb
- vla-setgridcolor
- vla-put-name
- vla-put-description
- vla-put-flowdirection
- vla-put-horzcellmargin
- vla-put-bitflags
- vla-get-name
- vla-get-description
- vla-get-flowdirection
- vla-get-horzcellmargin
- vla-get-bitflags
- vla-gettextheight
- vla-gettextstyle
- vla-getgridvisibility
- vla-getalignment
- vla-get-headersuppressed